Follow

[Nuts!] What devices are supported for Nuts?

Because of our new shader-based 3D engine, Nuts! requires the latest graphics hardware.  The following devices are supported:

  • iPod Touch 4th and 5th Gen (iOS 5.1.1 and up)
  • iPhone 3GS, 4, 4S, 5, 5C and 5S  (iOS 5.1.1 and up)
  • iPad 3rd and 4th Gen, Air and Mini (iOS 5.1.1 and up)
  • Android devices with OS 2.3.3 and up
Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

1 Comments

  • 0
    Avatar
    Robert Robbo Dalton

    This was really helpful thank you

Please sign in to leave a comment.
Powered by Zendesk